Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 830581

Summary: dev-libs/ucommon-7.0.0 - secure.cpp: error: no declaration matches ucommon::secure ucommon::secure::client(const char )
Product: Gentoo Linux Reporter: Toralf Förster <toralf>
Component: Current packagesAssignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it <maintainer-needed>
Status: RESOLVED FIXED    
Severity: normal CC: treecleaner
Priority: Normal Keywords: PMASKED
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Attachments: emerge-info.txt
dev-libs:ucommon-7.0.0:20220104-051302.log
emerge-history.txt
environment
etc.portage.tar.bz2
logs.tar.bz2
temp.tar.bz2

Description Toralf Förster gentoo-dev 2022-01-04 08:56:55 UTC
too long lines were shrinked:

libtool: compile:  x86_64-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I.. -I../inc -Wno-long-long -pthread -fno-check-new -finline -fvisibility=hidden -pipe -march=native -fno-diagnostics-color -O2 -c secure.cpp  -fPIC -DPIC -o .libs/secure.o
libtool: compile:  x86_64-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I.. -I../inc -Wno-long-long -pthread -fno-check-new -finline -fvisibility=hidden -pipe -march=native -fno-diagnostics-color -O2 -c digest.cpp  -fPIC -DPIC -o .libs/digest.o
libtool: compile:  x86_64-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I.. -I../inc -Wno-long-long -pthread -fno-check-new -finline -fvisibility=hidden -pipe -march=native -fno-diagnostics-color -O2 -c random.cpp  -fPIC -DPIC -o .libs/random.o
libtool: compile:  x86_64-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I.. -I../inc -Wno-long-long -pthread -fno-check-new -finline -fvisibility=hidden -pipe -march=native -fno-diagnostics-color -O2 -c cipher.cpp  -fPIC -DPIC -o .libs/cipher.o
secure.cpp:62:18: error: no declaration matches ‘ucommon::secure* ucommon::secure::client(const char*)’
   62 | secure::client_t secure::client(const char *ca)
      |                  ^~~~~~

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop_plasma-j4-20211229-135049

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.3.1
 [2] x86_64-pc-linux-gnu-10.3.1
 [3] x86_64-pc-linux-gnu-11.2.1 *
clang version 13.0.0
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/13/bin
/usr/lib/llvm/13
13.0.0
Python 3.9.9
Available Ruby profiles:
  [1]   ruby26 (with Rubygems)
  [2]   ruby27 (with Rubygems)
  [3]   ruby30 (with Rubygems) *
Available Rust versions:
  [1]   rust-bin-1.57.0
  [2]   rust-1.57.0 *
The following VMs are available for generation-2:
1)	OpenJDK 8.312_p07 [openjdk-8]
*)	AdoptOpenJDK 8.312_p07 [openjdk-bin-8]
Available Java Virtual Machines:
  [1]   openjdk-8 
  [2]   openjdk-bin-8  system-vm

The Glorious Glasgow Haskell Compilation System, version 8.10.4
php cli:
  [1]   php7.3
  [2]   php7.4
  [3]   php8.1 *

  HEAD of ::gentoo
commit 94fc8576b4173eb29b529c66e090aed7783e3763
Author: Repository mirror & CI <repomirrorci@gentoo.org>
Date:   Tue Jan 4 03:36:56 2022 +0000

    2022-01-04 03:36:50 UTC

emerge -qpvO dev-libs/ucommon
[ebuild  N    ] dev-libs/ucommon-7.0.0  USE="cxx -debug -doc -gnutls -ssl"
Comment 1 Toralf Förster gentoo-dev 2022-01-04 08:56:56 UTC
Created attachment 761253 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2022-01-04 08:56:57 UTC
Created attachment 761254 [details]
dev-libs:ucommon-7.0.0:20220104-051302.log
Comment 3 Toralf Förster gentoo-dev 2022-01-04 08:56:59 UTC
Created attachment 761255 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2022-01-04 08:57:01 UTC
Created attachment 761256 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2022-01-04 08:57:02 UTC
Created attachment 761257 [details]
etc.portage.tar.bz2
Comment 6 Toralf Förster gentoo-dev 2022-01-04 08:57:03 UTC
Created attachment 761258 [details]
logs.tar.bz2
Comment 7 Toralf Förster gentoo-dev 2022-01-04 08:57:04 UTC
Created attachment 761259 [details]
temp.tar.bz2
Comment 8 Larry the Git Cow gentoo-dev 2022-07-11 14:52:21 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=70a41c133b1c8b360aad531557f570fd746887dd

commit 70a41c133b1c8b360aad531557f570fd746887dd
Author:     David Seifert <soap@gentoo.org>
AuthorDate: 2022-07-11 14:52:09 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2022-07-11 14:52:09 +0000

    profiles: last-rite dev-libs/ucommon
    
    Bug: https://bugs.gentoo.org/830581
    Signed-off-by: David Seifert <soap@gentoo.org>

 profiles/package.mask | 6 ++++++
 1 file changed, 6 insertions(+)
Comment 9 Larry the Git Cow gentoo-dev 2022-08-09 07:12:25 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1247d466833d71d852809d6b036e4906108ae8cd

commit 1247d466833d71d852809d6b036e4906108ae8cd
Author:     Jakov Smolić <jsmolic@gentoo.org>
AuthorDate: 2022-08-09 07:12:07 +0000
Commit:     Jakov Smolić <jsmolic@gentoo.org>
CommitDate: 2022-08-09 07:12:07 +0000

    dev-libs/ucommon: treeclean
    
    Closes: https://bugs.gentoo.org/830581
    Signed-off-by: Jakov Smolić <jsmolic@gentoo.org>

 dev-libs/ucommon/Manifest                          |   1 -
 .../ucommon-6.0.3-install_gcrypt.m4_file.patch     | 126 ------
 ....0-c++17-dynamic-exception-specifications.patch | 502 ---------------------
 dev-libs/ucommon/metadata.xml                      |   5 -
 dev-libs/ucommon/ucommon-7.0.0.ebuild              |  75 ---
 profiles/package.mask                              |   6 -
 6 files changed, 715 deletions(-)